/*  WARNING: this file is program generated. */
/*  Remove these two lines to protect the file from overwrites. */
#ifndef OM_NO_DEF_ANIM
#define OM_NO_DEF_ANIM

#include "avs/om.h"

#ifdef __cplusplus
#include "avs/omx.hxx"
#endif
#ifdef __cplusplus

#ifdef __cplusplus
#include "avs/animator/animator.h"
#endif


//
// Program generated hdr definition for class: ANIM_AnimControl_InterpolatorGroup
//
class ANIM_AnimControl_InterpolatorGroup : public virtual OMXgroup {
   public:
	ANIM_AnimControl_InterpolatorGroup(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.AnimControl.InterpolatorGroup");
	virtual void *ret_omx_ptr(char *);
};


//
// Program generated hdr definition for class: ANIM_AnimControl
//
void ANIM_AnimControl__free(void *obj);
OMXgroup *ANIM_AnimControl__inst(OMobj_id obj_id);
class ANIM_AnimControl : public virtual OMXgroup {
   public:
	ANIM_AnimControl(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.AnimControl");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint currentFrame;
      OMXfloat_array frameTimes;
      OMXfloat frameDelta;
      OMXfloat currentTime;
      OMXfloat newTime;
      OMXfloat scaleBeginTime;
      OMXfloat scaleEndTime;
      OMXfloat scaleValue;
      OMXstr scaleInterpolatorName;
      OMXint scaleAll;
      OMXint scaleTimes;
      OMXint scaleValues;
      OMXfloat framesPerSec;
      OMXint addFrameBtn;
      OMXint clearFramesBtn;
      OMXint deleteFrameBtn;
      OMXint moveFrameBtn;
      OMXint completeFramesBtn;
      OMXint copyFrameBtn;
      OMXint scaleFramesBtn;
      OMXint reInitBtn;
      OMXint reScanBtn;
      OMXint upd_seq;
      OMXint interpEditorOkBtn;
      OMXint interpEditorApplyBtn;
      OMXstr_array interpolatorList;
      OMXint interpolatorListIndex;
      OMXstr interpNameStr;
      OMXint timeListIndex;
      OMXfloat_array interpTimes;
      OMXint quatOrEuler;
      OMXint interpType;
      OMXfloat fScalar;
      OMXint iScalar;
      OMXfloat fValue1;
      OMXfloat fValue2;
      OMXfloat fValue3;
      OMXint iValue1;
      OMXint iValue2;
      OMXint iValue3;
      OMXfloat matValue1;
      OMXfloat matValue2;
      OMXfloat matValue3;
      OMXfloat matValue4;
      OMXfloat matValue5;
      OMXfloat matValue6;
      OMXint fFrame1Visible;
      OMXint fFrame2Visible;
      OMXint fFrame3Visible;
      OMXint iFrame1Visible;
      OMXint iFrame2Visible;
      OMXint interpEditorVisible;
      OMXint valuesType;
      virtual int onInstance(OMevent_mask event_mask=0, int seq_num=0);
      virtual int deleteEditorDialog(OMevent_mask event_mask=0, int seq_num=0);
      virtual int interpUIValuesChanged(OMevent_mask event_mask=0, int seq_num=0);
      virtual int interpolatorSelected(OMevent_mask event_mask=0, int seq_num=0);
      virtual int timeSelected(OMevent_mask event_mask=0, int seq_num=0);
      virtual int addFrame(OMevent_mask event_mask=0, int seq_num=0);
      virtual int deleteFrame(OMevent_mask event_mask=0, int seq_num=0);
      virtual int clearFrames(OMevent_mask event_mask=0, int seq_num=0);
      virtual int moveFrame(OMevent_mask event_mask=0, int seq_num=0);
      virtual int completeFrames(OMevent_mask event_mask=0, int seq_num=0);
      virtual int copyFrame(OMevent_mask event_mask=0, int seq_num=0);
      virtual int scaleFrames(OMevent_mask event_mask=0, int seq_num=0);
      virtual int clearADB(OMevent_mask event_mask=0, int seq_num=0);
      virtual int reInitADB(OMevent_mask event_mask=0, int seq_num=0);
      virtual int reScan(OMevent_mask event_mask=0, int seq_num=0);
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
      virtual int deleteObject(OMevent_mask event_mask=0, int seq_num=0);
      virtual int updateFrames(OMevent_mask event_mask=0, int seq_num=0);
      virtual int updateInterpolators(OMevent_mask event_mask=0, int seq_num=0);
      virtual int deleteNotify(OMevent_mask event_mask=0, int seq_num=0);
      OMXfloat count;
      class ANIM_AnimControl_InterpolatorGroup InterpolatorGroup;
private:  UtPtrList <AnimObjBase> animObjBase;  OMobj_id interpGrpId; OMobj_id countId; OMobj_id interpolatorId; char interpName[128]; int intpType; int firstFind;};
int
ANIM_AnimControl__onInstance__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__deleteEditorDialog__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__interpUIValuesChanged__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__interpolatorSelected__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__timeSelected__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__addFrame__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__deleteFrame__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__clearFrames__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__moveFrame__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__completeFrames__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__copyFrame__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__scaleFrames__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__clearADB__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__reInitADB__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__reScan__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__deleteObject__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__updateFrames__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__updateInterpolators__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_AnimControl__deleteNotify__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/interp.h"
#endif


//
// Program generated hdr definition for class: ANIM_ArrayInterpolator
//
void ANIM_ArrayInterpolator__free(void *obj);
OMXgroup *ANIM_ArrayInterpolator__inst(OMobj_id obj_id);
class ANIM_ArrayInterpolator : public virtual OMXgroup {
   public:
	ANIM_ArrayInterpolator(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.ArrayInterpolator");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat loopCount;
      OMXfloat_array keysArray;
      OMXprim_array valuesArray;
      OMXprim_array resultArray;
      OMXenum interpType;
      virtual int LUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_ArrayInterpolator__LUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/GeomCap.h"
#endif


//
// Program generated hdr definition for class: ANIM_GeomCap
//
void ANIM_GeomCap__free(void *obj);
OMXgroup *ANIM_GeomCap__inst(OMobj_id obj_id);
class ANIM_GeomCap : public virtual OMXgroup {
   public:
	ANIM_GeomCap(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.GeomCap");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint CMode;
      OMXint CCaptureMode;
      OMXint CClear;
      OMXint CRecord;
      OMXint CDelete;
      OMXint CCurrentFrame;
      OMXint CTotalFrames;
      OMXstr CAnimOutFile;
      OMXint LPBDelay;
      OMXint LRunForward;
      OMXint LRunBack;
      OMXint LCycleType;
      OMXint LLoopCount;
      OMXint LTimerStep;
      OMXint LTimerActive;
      OMXint LTimerFrameStep;
      OMXint LTimerFrameVal;
      virtual int CUpdate(OMevent_mask event_mask=0, int seq_num=0);
OMobj_id m_oldViewId;};
int
ANIM_GeomCap__CUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "fld/Xfld.h"
#endif

#ifdef __cplusplus
#include "avs/animator/GeomCap.h"
#endif


//
// Program generated hdr definition for class: ANIM_GeomRep
//
void ANIM_GeomRep__free(void *obj);
OMXgroup *ANIM_GeomRep__inst(OMobj_id obj_id);
class ANIM_GeomRep : public virtual OMXgroup {
   public:
	ANIM_GeomRep(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.GeomRep");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint CCurrentFrame;
      OMXint CTotalFrames;
      OMXstr CAnimInFile;
      OMXint LPBDelay;
      OMXint LRunForward;
      OMXint LRunBack;
      OMXint LCycleType;
      OMXint LLoopCount;
      OMXint LTimerStep;
      OMXint LTimerActive;
      OMXint LTimerFrameStep;
      OMXint LTimerFrameVal;
      OMXint CFullCache;
      OMXint CReplayMode;
      virtual int ConInstance(OMevent_mask event_mask=0, int seq_num=0);
      virtual int CUpdate(OMevent_mask event_mask=0, int seq_num=0);
OMobj_id m_oldViewId;};
int
ANIM_GeomRep__ConInstance__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
int
ANIM_GeomRep__CUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/gfaFile.h"
#endif

#ifdef __cplusplus
#include "avs/animator/GeomSave.h"
#endif


//
// Program generated hdr definition for class: ANIM_GeomSave_templ
//
void ANIM_GeomSave_templ__free(void *obj);
OMXgroup *ANIM_GeomSave_templ__inst(OMobj_id obj_id);
class ANIM_GeomSave_templ : public virtual OMXgroup {
   public:
	ANIM_GeomSave_templ(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.GeomSave_templ");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr SFilename;
      OMXint SFrameNo;
      virtual int SGFAUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_GeomSave_templ__SGFAUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/ImageCap.h"
#endif


//
// Program generated hdr definition for class: ANIM_ImageCap
//
void ANIM_ImageCap__free(void *obj);
OMXgroup *ANIM_ImageCap__inst(OMobj_id obj_id);
class ANIM_ImageCap : public virtual OMXgroup {
   public:
	ANIM_ImageCap(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.ImageCap");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint LMode;
      OMXint LCaptureMode;
      OMXint LClear;
      OMXint LRecord;
      OMXint LDelete;
      OMXint LMovieMode;
      OMXint LGenMovie;
      OMXint LCurrentImage;
      OMXint LTotalImages;
      OMXint LFlipFrameBuffer;
      OMXfloat LTotalSize;
      OMXstr LAnimOutFile;
      OMXint LPBDelay;
      OMXint LRunForward;
      OMXint LRunBack;
      OMXint LCycleType;
      OMXint LLoopCount;
      OMXint LTimerStep;
      OMXint LTimerActive;
      OMXint LTimerFrameStep;
      OMXint LTimerFrameVal;
      virtual int LUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_ImageCap__LUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/interp.h"
#endif


//
// Program generated hdr definition for class: ANIM_ScalarInterpolator
//
void ANIM_ScalarInterpolator__free(void *obj);
OMXgroup *ANIM_ScalarInterpolator__inst(OMobj_id obj_id);
class ANIM_ScalarInterpolator : public virtual OMXgroup {
   public:
	ANIM_ScalarInterpolator(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.ScalarInterpolator");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat loopCount;
      OMXfloat_array keysArray;
      OMXprim_array valuesArray;
      OMXenum interpType;
      OMXprim result;
      virtual int LUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_ScalarInterpolator__LUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: ANIM_StringInterpolator
//
void ANIM_StringInterpolator__free(void *obj);
OMXgroup *ANIM_StringInterpolator__inst(OMobj_id obj_id);
class ANIM_StringInterpolator : public virtual OMXgroup {
   public:
	ANIM_StringInterpolator(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.StringInterpolator");
	virtual void *ret_omx_ptr(char *);
      OMXfloat loopCount;
      OMXfloat_array keysArray;
      OMXstr_array valuesArray;
      OMXstr result;
      virtual int LUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_StringInterpolator__LUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);

#ifdef __cplusplus
#include "avs/animator/interp.h"
#endif


//
// Program generated hdr definition for class: ANIM_TransformMatrixInterpolator
//
void ANIM_TransformMatrixInterpolator__free(void *obj);
OMXgroup *ANIM_TransformMatrixInterpolator__inst(OMobj_id obj_id);
class ANIM_TransformMatrixInterpolator : public virtual OMXgroup {
   public:
	ANIM_TransformMatrixInterpolator(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "ANIM.TransformMatrixInterpolator");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat loopCount;
      OMXfloat_array keysArray;
      OMXfloat_array valuesArray;
      OMXfloat_array resultArray;
      OMXint quatOrEuler;
      OMXenum interpType;
      OMXint reverseDirection;
      virtual int LUpdate(OMevent_mask event_mask=0, int seq_num=0);
};
int
ANIM_TransformMatrixInterpolator__LUpdate__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
#endif /* end c++ section */
#endif /* OM_NO_DEF_ANIM */
